use strict;
use Test::More tests => 3;

use lib 't/lib';
use DbUtil;

use PythonTech::Triples::DBHash;
use DB_File;

my $dbname = 't/new01.3db';

# With access = 'w', should create new db file
unlink($dbname);
my $new = eval {new PythonTech::Triples::DBHash(filename => $dbname,
						access => 'w')};
#1
ok(defined($new) && -f $dbname, 'create new db');
#2
isnt(-s $dbname, 0, 'new db not empty');

$new->disconnect; # close it
# Should not define anything
#3
is(&dbread($dbname), '', 'nothing written');

unlink($dbname);
